summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sergei Fedosoff2019-09-14 06:10:22 +0200
committer Willy Sudiarto Raharjo2019-09-14 06:10:36 +0200
commit102cb07c6c3827456999562135e24404d86b07c9 (patch)
treec022bd9b346d45ca79a60e86f0f2426f46f1ae8f
parent95f2e0091592c434c2978d47219da47d3c8d473b (diff)
downloadslackbuilds-102cb07c6c3827456999562135e24404d86b07c9.tar.gz
network/createrepo_c: Added (rpm repository metadata generator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/createrepo_c/README9
-rw-r--r--network/createrepo_c/createrepo_c.SlackBuild103
-rw-r--r--network/createrepo_c/createrepo_c.info10
-rw-r--r--network/createrepo_c/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/network/createrepo_c/README b/network/createrepo_c/README
new file mode 100644
index 0000000000..b344f6e8f7
--- /dev/null
+++ b/network/createrepo_c/README
@@ -0,0 +1,9 @@
+RPM metadata generator.
+
+Since we have very basic support of rpm in Slackware
+base, why not ship this utilities too?
+
+This is C implementation of createrepo.
+
+With this utility you can run repository of your own RPM
+package set.
diff --git a/network/createrepo_c/createrepo_c.SlackBuild b/network/createrepo_c/createrepo_c.SlackBuild
new file mode 100644
index 0000000000..b7e60f7a8e
--- /dev/null
+++ b/network/createrepo_c/createrepo_c.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for createrepo_c
+
+# Copyright 2019 Sergei Fedosoff <eleksir@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=createrepo_c
+VERSION=${VERSION:-0.14.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+cmake .. \
+ -DPYTHON_DESIRED:FILEPATH=/usr/bin/python \
+ -DWITH_ZCHUNK=OFF \
+ -DWITH_LIBMODULEMD=OFF \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DENABLE_THREADED_XZ_ENCODER=on
+
+make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/ $PKG/usr/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS README.md COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/createrepo_c/createrepo_c.info b/network/createrepo_c/createrepo_c.info
new file mode 100644
index 0000000000..1b2b95bbbd
--- /dev/null
+++ b/network/createrepo_c/createrepo_c.info
@@ -0,0 +1,10 @@
+PRGNAM="createrepo_c"
+VERSION="0.14.2"
+HOMEPAGE="https://github.com/rpm-software-management/createrepo_c"
+DOWNLOAD="https://github.com/rpm-software-management/createrepo_c/archive/0.14.2/createrepo_c-0.14.2.tar.gz"
+MD5SUM="395d685e079cc2c52b19f6a2d461204a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sergei Fedosoff"
+EMAIL="eleksir@gmail.com"
diff --git a/network/createrepo_c/slack-desc b/network/createrepo_c/slack-desc
new file mode 100644
index 0000000000..7621984882
--- /dev/null
+++ b/network/createrepo_c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+createrepo_c: createrepo_c (rpm repository metadata generator)
+createrepo_c:
+createrepo_c: C implementation of Createrepo.
+createrepo_c: A set of utilities (createrepo_c, mergerepo_c, modifyrepo_c)
+createrepo_c: for generating a common metadata repository from a directory of
+createrepo_c: rpm packages and maintaining it.
+createrepo_c:
+createrepo_c:
+createrepo_c: Project URL: https://github.com/rpm-software-management/createrepo_c
+createrepo_c:
+createrepo_c: